Overview
========

The Jungle Disk Server Edition is targeted at the Online Server Backup market
for Windows and Linux servers. The product allows server administrators to
backup files and directories from their servers into The Cloud.

The Server Edition includes a powerful backup engine, with features that
 include...

- Support for very large files (no file size or backup size limits)
- Block-level de-duplication
- Compression
- Efficient support for backing up lots of small files
- Remote management from any Mac, Windows, or Linux PC
- Block-level incremental backups
- Full extended filesystem information backups (permissions,
  special files, etc)
- multiple upload connections for increased throughput
- AES-256 encryption with user-controlled key

The Server Edition does not include the Network Drive feature of the
Desktop Edition, nor does it support Web Access to backed up files (files must
be restored using the Server Edition software, or Version 3 or higher of the
Desktop Edition).

Backup Vaults
-------------
An important Server Edition concept in the is the Backup Vault, where your
backup data resides for a single computer. A Backup Vault exists within an
Online Disk. A single account can have multiple Online Disks (which may be at
different cloud providers), and each Online Disk can have multiple
Backup Vaults (multiple computers backing up into the same Online Disk).

Only a single server can backup into a specific Backup Vault; each server
you are backing up needs its own Backup Vault. However, if you replace a
server, you can "take over" the old server's Backup Vault to avoid having to
re-upload any data that was already backed up.

You can Restore from any Backup Vault, even one being used by a different
server.

Backup History / Backup Cleanup
-------------------------------
In the Server Edition, versioning is handled on a per-backup **not per file**
basis. This allows you to restore a file or set of files "as they existed"
at a specific backup time.

In the Restore Dialog you can select to restore files from the most recent
backup, or a specific backup in your Backup History.

The length of time Backups are kept is controlled by the Retention Period,
which can be set on a per-backup-job basis in the Backup Options (default is
30 days). You can optionally disable the Retention Period, which will keep all
data from all previous backups indefinitely.

Each week, a Backup Cleanup process occurs which removes data from backups
that are older than your retention period. Only data which was no longer
present in a later backup will be removed. Those old backups will no longer
appear in the Restore Dialog after the Backup Cleanup process.

Remote Management / Gateway Service
-----------------------------------
Unlike the Desktop Edition, which is managed by a local GUI application on the
computer running Jungle Disk, the Server Edition is designed to be managed
remotely from any Mac, Windows, or Linux PC. There is a separate
Jungle Disk Server Management client that is used for managing
Jungle Disk Server instances.

When starting the Server Management client, you need to log in with your
Jungle Disk account, after which you will see a list of the Servers currently
running Jungle Disk Server Edition on your account. You can select a server to
connect to and configure / manage it.

Connections are routed through a Jungle Disk hosted Gateway Service which
makes it possible to connect to and manage your servers securely from
anywhere. A secure SSL tunnel is established from your desktop to the server
machine, and all traffic passes between them encrypted.

Once you have connected to a server, the Server Management interface is very
similar to the normal Jungle Disk Monitor GUI. You can configure backups,
view backup history, restore files, etc.

Signup / Download
-----------------
You will need a Jungle Disk Server Edition subscription for each server that
you want to backup. You do not need a subscription for computers where you run
the Management Client software (you can run it on unlimited machines). Each
Server Edition subscription has an associated license key, which is bound to a
single machine on first use. However you can reset the license key to use the
subscription on a different server at any time.

**Note to Beta Testers**: Your beta license keys will continue to work for at
least 30 days after the product's release date, but Linux beta uesrs will
need to reset their key at jungledisk.com, and enter the new key into the
license file (instructions are below).

Note that you will need to download two pieces of software. The
Server Edition software to install on the server(s) you want to backup,
and the Management Client software to install on the PCs you want to manage
your servers from. You _can_ install both software on the same PC (to manage
itself).

Installation / Setup (Linux)
----------------------------
Package files are available for installing to RedHat and Debian based
distributions (e.g., Fedora, CentOS, Ubuntu, etc.).  Others can manually
install the application using the tar file.  Untar the appropriate binary for
your platform and copy it to /usr/local/bin (or whichever path you prefer to
run it from).

You need to copy the junglediskserver-license-EXAMPLE.xml file to
`/etc/jungledisk/junglediskserver-license.xml` and edit it to include your
license key, which you can find at the Jungle Disk Site:

https://www.jungledisk.com/secure/account/subscriptions.aspx

After setting your license key, you can start the server by typing
`sudo /usr/local/bin/junglediskserver`.  You do *NOT* need to do this if you
installed the RedHat or Debian package (the installation process adds
`junglediskserver` to the list of applications that start on boot, and starts
the service after installation).

If installed from the tar file, and you'd like to set up Jungle Disk Server
to start automatically on bootup, there are example scripts for this purpose
in the init_d_examples subdirectory.  Follow the readme file there for
instructions on setting these up. An systemd.unit file is also provided.

If your server does not appear in the Management Client there may have be an
error on startup. Check `/var/log/messages` and
`/var/log/junglediskserver.log` for more information.  Note that
`junglediskserver` can be run with a "-d" option, which will put additional
debugging information into the `/var/log/junglediskserver.log` file.  Make sure
that you don't inadvertantly run more than one instance of `junglediskserver`
(`ps aux | grep junglediskserver` will check for this).

Installation / Setup (Management Client)
----------------------------------------
After downloading the management client software for your platform, run the
installer to install the software.

When starting the management client (which on Linux is called
`junglediskservermanagement`, you will need to log in with your Jungle Disk
credentials, after which you will see a list of servers to manage. If you do
not see your server in the list, check for potential startup issues on the
server by following the directions above.
